> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rampnow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# UpdatePaymentDetail



## OpenAPI

````yaml https://rampnow-io.github.io/core/partner_external.yaml put /api/partner/v1/ext/transfer_order/payment
openapi: 3.1.0
info:
  description: API for partner_external service
  title: partner service
  version: 0.0.1
servers:
  - description: Base URL for Production Rampnow APIs
    url: https://api.rampnow.io
  - description: Base URL for Sandbox Rampnow APIs
    url: https://api.sandbox.rampnow.io
security: []
paths:
  /api/partner/v1/ext/transfer_order/payment:
    put:
      tags:
        - Transfer Orders
      summary: UpdatePaymentDetail
      operationId: UpdatePaymentDetail
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePaymentDetailRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  code:
                    type: integer
                  data:
                    $ref: '#/components/schemas/UpdatePaymentDetailResponse'
                  displayError:
                    type: string
                  message:
                    type: string
                  traceId:
                    type: string
                required:
                  - code
                  - message
                  - traceId
                  - data
                type: object
          description: OK
components:
  schemas:
    UpdatePaymentDetailRequest:
      properties:
        paymentDetail:
          $ref: '#/components/schemas/PaymentDetail'
        uid:
          description: Order UID
          type: string
      required:
        - uid
        - paymentDetail
      type: object
    UpdatePaymentDetailResponse:
      type: object
    PaymentDetail:
      properties:
        transactionUid:
          type: string
      type: object

````